%define		plugin	check_poldek
Summary:	Nagios plugin to check updates of poldek based systems
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca aktualizacje systemów używających poldka
Name:		nagios-plugin-%{plugin}
Version:	0.8
Release:	4
License:	MIT
Group:		Networking
Source0:	http://github.com/pawelz/nagios-check_poldek/tarball/v%{version}/%{plugin}-%{version}.tgz
# Source0-md5:	0ee3a35c35c2f2ec16c001ff16cac0e2
Source1:	%{plugin}.cfg
Patch0:		defaults.patch
URL:		http://github.com/pawelz/nagios-check_poldek
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.685
Requires:	grep
Requires:	nagios-common
Requires:	poldek >= 0.30-1.rc3
Requires:	python-modules
Requires:	sed >= 4.0
Conflicts:	nagios-nrpe < 2.15-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		nrpeddir	/etc/nagios/nrpe.d
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		cachedir	/var/cache/check_poldek

%description
Nagios plugin to check updates of poldek based systems.

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca aktualizacje systemów używających poldka.

%prep
%setup -qc
mv */* .
%patch0 -p1

%{__sed} -i -e "s,@repos@,['%{pld_release}']," %{plugin}.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{nrpeddir},%{plugindir},%{cachedir}}
install -p %{plugin}.py $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
touch $RPM_BUILD_ROOT%{nrpeddir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%ghost %{nrpeddir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%dir %attr(775,root,nagios) %{cachedir}
%changelog
* Mon Apr 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_poldek.git;a=log;h=AC-branch

* Fri May 29 2015 Elan Ruusamäe <glen@delfi.ee> 3e201ae
- nagios-nrpe 2.15-5 adds trigger to ensure include_dir nrpe.d is present

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 4e23da9
- hook into nrpe.d

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 6cfbfdc
- release 1 (by relup.sh)

* Tue Jun 19 2012 Elan Ruusamäe <glen@pld-linux.org> 6bac2db
- v0.8: better: check permissions in plugin itself

* Tue Jun 19 2012 Elan Ruusamäe <glen@pld-linux.org> f2a6b6f
- lousy check for mode on Packages, warn if not world readable. better checks welcome

* Thu Jan 12 2012 Elan Ruusamäe <glen@pld-linux.org> e4a133a
- 0.7.1: minor fixes

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> 52ac208
- v0.7: can report security updates now

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> 1e5a0f8
- second try for 0.6 release

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> c851ffe
- up to 0.6; by default enable distro own main repos

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> 019819e
- add service template

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> 94fcda5
- use builtin cachedir, more transparent args to command

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 15a5985
- corrected lang tag in Summary

* Fri May 14 2010 pawelz <pawelz@pld-linux.org> 3b63619
- up to 0.5

* Thu May 13 2010 sparky <sparky@pld-linux.org> 0fcb58f
- BR: rpm-pythonprov

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 9b338fc
- %post scriptlet that needs network access was bad idea
- rel 2

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 68a10f6
- use nagios user for %post
- up to 0.4

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 1ee05e7
- fetch poldek indices in %post
- defined %cachedir macro for /var/cache/check_poldek
- sorted deps

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 3636bea
- of course it requires poldek

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 6a5cd9e
- correct arguments for check_poldek
- R: grep, sed (used by triggers)

* Tue May 11 2010 pawelz <pawelz@pld-linux.org> 069f1b5
- up to 0.3 (0.2 was broken)
- TODO entry moved to http://wiki.github.com/pawelz/nagios-check_poldek/wishlist

